Bug 1144961 - "Script language" for Actors and I/O Parameters
Summary: "Script language" for Actors and I/O Parameters
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Eclipse Tooling
Version: 6.0.2
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ER3
: 6.1.0
Assignee: Kris Verlaenen
QA Contact: Jozef Marko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-22 07:05 UTC by Toshiya Kobayashi
Modified: 2020-03-27 20:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 20:13:16 UTC
Type: Bug


Attachments (Terms of Use)
script_language_01.png (200.70 KB, image/png)
2014-09-22 07:07 UTC, Toshiya Kobayashi
no flags Details
script_language_02.png (196.03 KB, image/png)
2014-09-22 07:07 UTC, Toshiya Kobayashi
no flags Details

Description Toshiya Kobayashi 2014-09-22 07:05:15 UTC
Description of problem:

Bpmn2 Diagram Editor provides "Script language" select box for Actors (in User Task) and I/O Parameters (in various Tasks). Those values are not evaluated as Java so it should be removed to avoid confusion.

See attached screen shots.

Steps to Reproduce:
1. Create a process with a User Task in JBDS
2. Click the User Task and view 'Properties'
3.1 Click 'Add' for Actors
3.3 Click 'Add' for Input Parameter Mapping. Click 'Expression' radio button
3.3 Click 'Add' for Out Parameter Mapping. Click 'Expression' radio button

Actual results:

Bpmn2 Diagram Editor provides "Script language" select box

Expected results:

Bpmn2 Diagram Editor doesn't provide "Script language" select box

Comment 1 Toshiya Kobayashi 2014-09-22 07:07:23 UTC
Created attachment 939902 [details]
script_language_01.png

Comment 2 Toshiya Kobayashi 2014-09-22 07:07:51 UTC
Created attachment 939903 [details]
script_language_02.png

Comment 3 Robert (Bob) Brodt 2014-09-23 16:06:29 UTC
Fixed. This will be in the Luna nightly build.

Comment 6 Robert (Bob) Brodt 2014-09-25 01:37:49 UTC
This fix was planned for Luna SR1 (the deadline is this Friday) but wanted to get get it out to you ASAP :)

Comment 7 Robert (Bob) Brodt 2014-09-25 02:50:08 UTC
This fix was planned for Luna SR1 (the deadline is this Friday) but wanted to get get it out to you ASAP :)

Comment 9 Jozef Marko 2014-11-07 06:52:02 UTC
Verified on jbdsis-8.0.0.Beta1.

Comment 11 Jozef Marko 2014-11-10 11:07:51 UTC
Hi Toshiya, you are right. I was in a hurry. I didn't check it for io input/output data mapping. There is still script language. Here is update site for jbdsis-8.0.0.Beta1: http://download.jboss.org/jbosstools/updates/development/luna/integration-stack/aggregate/4.2.0.Beta1/ 

Sorry for my mistake.

Comment 12 Robert (Bob) Brodt 2014-11-11 22:29:46 UTC
Fixed with version 1.1.0.201409091530

Comment 13 Marek Baluch 2015-01-09 14:22:01 UTC
OK - this looks fixed.

Tried task, end event, boundary events. It seems that the "Script language" select box is not present anymore.

Used JBDSIS 8.0.0.Beta2.


Note You need to log in before you can comment on or make changes to this bug.